Knowledge base

Update a knowledge base

Update a knowledge base. Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

POST
/knowledgebases/{knowledgebase_id}

Update a knowledge base.

Personal access token only. The API supports a second, partner-issued token class that is not part of the public surface. This endpoint does not accept that class.

Authorization

bearerToken
AuthorizationBearer <token>

Personal access tokens created from the ThriveDesk UI. Create one under Integrations -> API Keys.

In: header

Path Parameters

knowledgebase_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/knowledgebases/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Help Center",    "slug": "help-center"  }'
{  "message": "string"}